curl --request GET \
--url https://api.leadping.ai/outbound/overview \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.leadping.ai/outbound/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/outbound/overview");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.leadping.ai/outbound/overview")
.header("Authorization", "Bearer <token>")
.asString();const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.leadping.ai/outbound/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/outbound/overview"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/outbound/overview",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"smsCapacityRemainingToday": 123,
"voiceCapacityRemainingToday": 123,
"healthyPhoneNumbers": 123,
"limitedPhoneNumbers": 123,
"coolingPhoneNumbers": 123,
"rampingPhoneNumbers": 123,
"scheduledCount": 123,
"blockedCount": 123,
"phoneNumbers": [
{
"capacityAvailable": true,
"phoneNumberId": "<string>",
"phoneNumber": "<string>",
"healthStatus": "unknown",
"healthReason": "<string>",
"smsApproved": true,
"smsRamping": true,
"smsRemainingThisMinute": 123,
"smsUsedThisMinute": 123,
"smsLimitThisMinute": 123,
"smsMinutelyResetsAt": "2023-11-07T05:31:56Z",
"smsRemainingToday": 123,
"smsUsedToday": 123,
"smsLimitToday": 123,
"smsDailyResetsAt": "2023-11-07T05:31:56Z",
"smsRemainingThisHour": 123,
"smsUsedThisHour": 123,
"smsLimitThisHour": 123,
"smsHourlyResetsAt": "2023-11-07T05:31:56Z",
"voiceRamping": true,
"voiceRemainingThisMinute": 123,
"voiceUsedThisMinute": 123,
"voiceLimitThisMinute": 123,
"voiceMinutelyResetsAt": "2023-11-07T05:31:56Z",
"voiceRemainingToday": 123,
"voiceUsedToday": 123,
"voiceLimitToday": 123,
"voiceDailyResetsAt": "2023-11-07T05:31:56Z",
"voiceRemainingThisHour": 123,
"voiceUsedThisHour": 123,
"voiceLimitThisHour": 123,
"voiceHourlyResetsAt": "2023-11-07T05:31:56Z"
}
],
"recentDecisions": [
{
"id": "<string>",
"channel": "sms",
"source": "manual",
"status": "pending",
"reasonCode": "allowed",
"reason": "<string>",
"scheduledSendAt": "2023-11-07T05:31:56Z",
"phoneNumber": "<string>"
}
]
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}Get organization outbound delivery overview
Returns current-organization outbound capacity, scheduled work, and pacing decisions used to control lead communication delivery.
Authorizations
Authorization header using the Bearer scheme. Accepted values are Leadping user JWT access tokens and WorkOS organization API keys beginning with sk_.
Response
OK
Summarizes organization-wide SMS and voice sending capacity, phone-number health, and recent outbound pacing decisions.
SMS capacity remaining today for the applicable messaging or voice capacity window.
Voice capacity remaining today for the applicable messaging or voice capacity window.
Number of healthy phone numbers represented by this Leadping outbound capacity overview.
Number of limited phone numbers represented by this Leadping outbound capacity overview.
Number of cooling phone numbers represented by this Leadping outbound capacity overview.
Number of phone numbers whose SMS or calling capacity is still ramping up.
Total number of scheduled records represented by this Leadping outbound capacity overview.
Total number of blocked records represented by this Leadping outbound capacity overview.
Collection of phone numbers included with this Leadping outbound capacity overview.
Show child attributes
Show child attributes
Collection of recent decisions included with this Leadping outbound capacity overview.
Show child attributes
Show child attributes

